pango.FontsetSimple
Prev | The pango Class Reference | Next

## pango.FontsetSimple

pango.FontsetSimple — a simple container for a set of fonts

## Synopsis

    class pango.FontsetSimple(pango.Fontset):
        pango.FontsetSimple(language)
        def append(font)
        def size()

## Ancestry

    +-- gobject.GObject
      +-- pango.Fontset
        +-- pango.FontsetSimple

## Description

### Note

This object is available in PyGTK 2.4 and above.

A `pango.FontsetSimple` is a subclass of `pango.Fontset` that provides a simple container for storing a set of `pango.Font` objects. The set of fonts in a `pango.FontsetSimple` are assemble by using the `append`() method.

## Constructor

        pango.FontsetSimple(language)

`language` : | a `pango.Language` object
Returns : | a new `pango.FontsetSimple` object.

### Note

This constructor is available in PyGTK 2.4 and above.

Creates a new `pango.FontsetSimple` for the `pango.Language` specified by language.

## Methods

### pango.FontsetSimple.append

        def append(font)

`font` : | a `pango.Font`.

### Note

This method is available in PyGTK 2.4 and above.

The `append`() method adds the `pango.Font` specified by font to the fontset.

### pango.FontsetSimple.size

        def size()

Returns : | the size of the font set.

### Note

This method is available in PyGTK 2.4 and above.

The `size`() method returns the number of fonts in the fontset.

Prev | Up | Next
pango.Fontset | Home | pango.GlyphString